Bug 5352 - Stub generation error with notification consumer wsdl
: Stub generation error with notification consumer wsdl
Status: RESOLVED FIXED
: Java WS Core
globus_wsrf_core
: unspecified
: PC Windows XP
: P3 normal
: ---
Assigned To:
:
:
:
: 5327
  Show dependency treegraph
 
Reported: 2007-06-04 10:39 by
Modified: 2007-06-11 17:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-06-04 10:39:07
In wsrf_final_branch, post specification upgrade, stub generation errors are
seen with notification consumer WSDL:

compileStubs:
    [javac] Compiling 332 source files to
C:\cygwin\home\ranantha\development\specUpgrade\wsrf\java\core\source\build\stubs\classes
    [javac]
C:\cygwin\home\ranantha\development\specUpgrade\wsrf\java\core\source\build\stubs\src\org\globus\wsrf\core\notification\bindings\ConsumerSOAPBindingStub.java:555:
cannot resolve symbol
    [javac] symbol  : class DeleteResourceProperties 
    [javac] location: package properties
    [javac]             cls =
org.oasis.wsrf.properties.DeleteResourceProperties.class;
    [javac]                                            ^
    [javac]
C:\cygwin\home\ranantha\development\specUpgrade\wsrf\java\core\source\build\stubs\src\org\globus\wsrf\core\notification\bindings\ConsumerSOAPBindingStub.java:569:
cannot resolve symbol
    [javac] symbol  : class GetMultipleResourceProperties 
    [javac] location: package properties
    [javac]             cls =
org.oasis.wsrf.properties.GetMultipleResourceProperties.class;
    [javac]                                            ^
    [javac]
C:\cygwin\home\ranantha\development\specUpgrade\wsrf\java\core\source\build\stubs\src\org\globus\wsrf\core\notification\bindings\ConsumerSOAPBindingStub.java:583:
cannot resolve symbol
    [javac] symbol  : class GetResourcePropertyDocument 
    [javac] location: package properties
    [javac]             cls =
org.oasis.wsrf.properties.GetResourcePropertyDocument.class;
    [javac]                                            ^
    [javac]
C:\cygwin\home\ranantha\development\specUpgrade\wsrf\java\core\source\build\stubs\src\org\globus\wsrf\core\notification\bindings\ConsumerSOAPBindingStub.java:604:
cannot resolve symbol
    [javac] symbol  : class InsertResourceProperties 
    [javac] location: package properties
    [javac]             cls =
org.oasis.wsrf.properties.InsertResourceProperties.class;
    [javac]                                            ^
    [javac]
C:\cygwin\home\ranantha\development\specUpgrade\wsrf\java\core\source\build\stubs\src\org\globus\wsrf\core\notification\bindings\ConsumerSOAPBindingStub.java:618:
cannot resolve symbol
    [javac] symbol  : class PutResourcePropertyDocument 
    [javac] location: package properties
    [javac]             cls =
org.oasis.wsrf.properties.PutResourcePropertyDocument.class;
    [javac]                                            ^
    [javac]
C:\cygwin\home\ranantha\development\specUpgrade\wsrf\java\core\source\build\stubs\src\org\globus\wsrf\core\notification\bindings\ConsumerSOAPBindingStub.java:639:
cannot resolve symbol
    [javac] symbol  : class QueryResourceProperties 
    [javac] location: package properties
    [javac]             cls =
org.oasis.wsrf.properties.QueryResourceProperties.class;
    [javac]                                            ^
    [javac]
C:\cygwin\home\ranantha\development\specUpgrade\wsrf\java\core\source\build\stubs\src\org\globus\wsrf\core\notification\bindings\ConsumerSOAPBindingStub.java:681:
cannot resolve symbol
    [javac] symbol  : class SetResourceProperties 
    [javac] location: package properties
    [javac]             cls =
org.oasis.wsrf.properties.SetResourceProperties.class;
    [javac]                                            ^
    [javac]
C:\cygwin\home\ranantha\development\specUpgrade\wsrf\java\core\source\build\stubs\src\org\globus\wsrf\core\notification\bindings\ConsumerSOAPBindingStub.java:695:
cannot resolve symbol
    [javac] symbol  : class UpdateResourceProperties 
    [javac] location: package properties
    [javac]             cls =
org.oasis.wsrf.properties.UpdateResourceProperties.class;
    [javac]                                            ^
    [javac] 8 errors
------- Comment #1 From 2007-06-05 15:44:42 -------
Committed a work around that import resource property WSDL. Need to ensure C
code generations work with the change.
------- Comment #2 From 2007-06-11 17:58:28 -------
Confirmed the C code generation is not affected by this.